Activity log for bug #1200296

Date Who What changed Old value New value Message
2013-07-11 16:24:36 Christophe Fergeau bug added bug
2013-07-11 16:33:22 Sebastien Bacher spice-vdagent (Ubuntu): importance Undecided Wishlist
2013-07-11 16:33:24 Sebastien Bacher spice-vdagent (Ubuntu): status New Confirmed
2016-10-05 12:20:22 Jeremy Bicha bug task added ubuntu-meta (Ubuntu)
2016-10-05 12:20:32 Jeremy Bicha ubuntu-meta (Ubuntu): importance Undecided Wishlist
2016-10-05 12:21:22 Jeremy Bicha bug added subscriber Jeremy Bicha
2017-02-16 11:02:55 Launchpad Janitor ubuntu-meta (Ubuntu): status New Confirmed
2017-04-27 22:07:44 Jeremy Bicha summary Please ship spice-vdagent on the livecd [MIR] spice-vdagent
2017-04-27 22:28:30 Jeremy Bicha description spice-vdagent adds some nice features to guest systems running over SPICE: copy and paste between guest and host, arbitrary resolution support, ... It's also very tiny (40kB compressed, less than 200kB installed) and won't startup when not running in a SPICE guest. Shipping it on the desktop ISOs will improve the user experience when using SPICE (eg in GNOME Boxes), and will have no impact on other use cases, so it would be really nice to add this package to the ISO. Availability ============ Built for all supported architectures. In sync with Debian except for one cherry-picked patch to hide spice-vdagent from Startup Applications. Rationale ========= "spice-vdagent adds some nice features to guest systems running over SPICE: copy and paste between guest and host, arbitrary resolution support, ... It's also very tiny (40kB compressed, less than 200kB installed) and won't startup when not running in a SPICE guest. Shipping it on the desktop ISOs will improve the user experience when using SPICE (eg in GNOME Boxes), and will have no impact on other use cases, so it would be really nice to add this package to the ISO." Ubuntu GNOME 16.10 and 17.04 included it in the default install. Security ======== No known open security vulnerabilities. https://rhn.redhat.com/errata/RHSA-2013-0924.html (CVE-2013-2152) Quality assurance ================= Bug subscriber: Ubuntu Desktop Bugs? or Ubuntu Server since they watch other spice packages? https://bugs.launchpad.net/ubuntu/+source/spice-vdagent https://bugs.debian.org/cgi-bin/pkgreport.cgi?src=spice-vdagent https://bugs.freedesktop.org/buglist.cgi?bug_status=__open__&component=unix agent&product=Spice No tests. Dependencies ============ check-mir reports all other binary dependencies are in main Standards compliance ==================== 3.9.8 Maintenance =========== - Actively developed upstream https://cgit.freedesktop.org/spice/linux/vd_agent/log/ https://anonscm.debian.org/git/collab-maint/spice-vdagent.git - Maintained in Debian by the same Debian Developer who maintains the other Spice packages. short dh7 style rules, dh compat 10 Background information ====================== N/A
2017-04-27 22:28:50 Jeremy Bicha bug added subscriber MIR approval team
2017-06-21 15:08:56 Mathieu Trudel-Lapierre ubuntu-meta (Ubuntu): assignee Ubuntu Security Team (ubuntu-security)
2017-06-21 15:09:02 Mathieu Trudel-Lapierre ubuntu-meta (Ubuntu): assignee Ubuntu Security Team (ubuntu-security)
2017-06-21 15:09:09 Mathieu Trudel-Lapierre spice-vdagent (Ubuntu): assignee Ubuntu Security Team (ubuntu-security)
2017-07-06 16:47:38 Jeremy Bicha description Availability ============ Built for all supported architectures. In sync with Debian except for one cherry-picked patch to hide spice-vdagent from Startup Applications. Rationale ========= "spice-vdagent adds some nice features to guest systems running over SPICE: copy and paste between guest and host, arbitrary resolution support, ... It's also very tiny (40kB compressed, less than 200kB installed) and won't startup when not running in a SPICE guest. Shipping it on the desktop ISOs will improve the user experience when using SPICE (eg in GNOME Boxes), and will have no impact on other use cases, so it would be really nice to add this package to the ISO." Ubuntu GNOME 16.10 and 17.04 included it in the default install. Security ======== No known open security vulnerabilities. https://rhn.redhat.com/errata/RHSA-2013-0924.html (CVE-2013-2152) Quality assurance ================= Bug subscriber: Ubuntu Desktop Bugs? or Ubuntu Server since they watch other spice packages? https://bugs.launchpad.net/ubuntu/+source/spice-vdagent https://bugs.debian.org/cgi-bin/pkgreport.cgi?src=spice-vdagent https://bugs.freedesktop.org/buglist.cgi?bug_status=__open__&component=unix agent&product=Spice No tests. Dependencies ============ check-mir reports all other binary dependencies are in main Standards compliance ==================== 3.9.8 Maintenance =========== - Actively developed upstream https://cgit.freedesktop.org/spice/linux/vd_agent/log/ https://anonscm.debian.org/git/collab-maint/spice-vdagent.git - Maintained in Debian by the same Debian Developer who maintains the other Spice packages. short dh7 style rules, dh compat 10 Background information ====================== N/A Availability ============ Built for all supported architectures. In sync with Debian except for one cherry-picked patch to hide spice-vdagent from Startup Applications. Rationale ========= "spice-vdagent adds some nice features to guest systems running over SPICE: copy and paste between guest and host, arbitrary resolution support, ... It's also very tiny (40kB compressed, less than 200kB installed) and won't startup when not running in a SPICE guest. Shipping it on the desktop ISOs will improve the user experience when using SPICE (eg in GNOME Boxes), and will have no impact on other use cases, so it would be really nice to add this package to the ISO." Ubuntu GNOME 16.10 and 17.04 included it in the default install. Security ======== No known open security vulnerabilities. https://rhn.redhat.com/errata/RHSA-2013-0924.html (CVE-2013-2152) Quality assurance ================= Bug subscriber: Ubuntu Desktop Bugs https://bugs.launchpad.net/ubuntu/+source/spice-vdagent https://bugs.debian.org/cgi-bin/pkgreport.cgi?src=spice-vdagent https://bugs.freedesktop.org/buglist.cgi?bug_status=__open__&component=unix agent&product=Spice No tests. Dependencies ============ check-mir reports all other binary dependencies are in main Standards compliance ==================== 3.9.8 Maintenance =========== - Actively developed upstream https://cgit.freedesktop.org/spice/linux/vd_agent/log/ https://anonscm.debian.org/git/collab-maint/spice-vdagent.git - Maintained in Debian by the same Debian Developer who maintains the other Spice packages. short dh7 style rules, dh compat 10 Background information ====================== N/A
2017-12-01 04:19:45 Seth Arnold cve linked 2017-15108
2017-12-01 04:19:58 Seth Arnold bug added subscriber Seth Arnold
2017-12-01 04:20:04 Seth Arnold spice-vdagent (Ubuntu): assignee Ubuntu Security Team (ubuntu-security)
2018-02-06 10:43:56 Didier Roche spice-vdagent (Ubuntu): status Confirmed Fix Committed
2018-02-20 16:23:25 Jeremy Bicha ubuntu-meta (Ubuntu): status Confirmed Fix Committed
2018-02-22 13:52:19 Andy Whitcroft spice-vdagent (Ubuntu): assignee Andy Whitcroft (apw)
2018-02-22 13:59:27 Andy Whitcroft spice-vdagent (Ubuntu): status Fix Committed Fix Released
2018-04-07 18:44:41 Jeremy Bicha ubuntu-meta (Ubuntu): status Fix Committed Fix Released